# TableLayoutControlCollection

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (3.0.0.0)

* [ControlCollection](/api/v3.0/wisej.web/general/control/wisej.web.control.controlcollection.md)
  * [TableLayoutControlCollection](/api/v3.0/wisej.web/containers/tablelayoutpanel/wisej.web.tablelayoutcontrolcollection.md)

Represents a collection of child controls in a table layout container.

{% tabs %}
{% tab title="C#" %}

```csharp
public class TableLayoutControlCollection : ControlCollection
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class TableLayoutControlCollection
    Inherits ControlCollection
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/uCY6T77rh488FWHzpJ6P)TableLayoutControlCollection(container)

Initializes a new instance of the [TableLayoutControlCollection](/api/v3.0/wisej.web/containers/tablelayoutpanel/wisej.web.tablelayoutcontrolcollection.md) class.

| Name          | Type                                                                   | Description                                                                                                              |
| ------------- | ---------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| **container** | [TableLayoutPanel](/api/v3.0/wisej.web/containers/tablelayoutpanel.md) | The [TableLayoutPanel](/api/v3.0/wisej.web/containers/tablelayoutpanel.md) control that contains the control collection. |

## Properties

### ![](/files/uCY6T77rh488FWHzpJ6P)Container

[TableLayoutPanel](/api/v3.0/wisej.web/containers/tablelayoutpanel.md): Returns the parent [TableLayoutPanel](/api/v3.0/wisej.web/containers/tablelayoutpanel.md) that contains the controls in the collection.

## Methods

### ![](/files/uCY6T77rh488FWHzpJ6P)Add(control, column, row)

Adds the specified control to the collection and positions it at the specified cell.

| Parameter   | Type                                                              | Description                                   |
| ----------- | ----------------------------------------------------------------- | --------------------------------------------- |
| **control** | [Control](/api/v3.0/wisej.web/general/control.md)                 | The control to add.                           |
| **column**  | [Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32) | The column in which *control* will be placed. |
| **row**     | [Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32) | The row in which *control* will be placed.    |

**Throws:**

* [ArgumentException](https://docs.microsoft.com/en-us/dotnet/api/system.argumentexception) Either \* column\* or *row* is less than -1.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/v3.0/wisej.web/containers/tablelayoutpanel/wisej.web.tablelayoutcontrolcollection.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
